<?php

namespace backend\models;

use Yii;

/**
 * This is the model class for table "crm_sync_desposit".
 *
 * @property integer $id
 * @property integer $login
 * @property double $amount
 * @property string $comment
 * @property integer $is_sync
 * @property string $memo
 */
class SyncDesposit extends \yii\db\ActiveRecord
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return 'crm_sync_desposit';
    }

    /**
     * @return \yii\db\Connection the database connection used by this AR class.
     */
    public static function getDb()
    {
        return Yii::$app->get('dbXcrm');
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['login', 'amount', 'comment'], 'required'],
            [['login', 'is_sync'], 'integer'],
            [['amount'], 'number'],
            [['comment', 'memo'], 'string', 'max' => 255],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'login' => 'Login',
            'amount' => 'Amount',
            'comment' => 'Comment',
            'is_sync' => 'Is Sync',
            'memo' => 'Memo',
        ];
    }
}
